/*****************************************************************************/
/* Copyright (C) 2003-2012, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/*                                                                           */
/*  This file is part of the JRS MPEG-7 Library.                             */
/*  http://mpeg-7.joanneum.at                                                */
/*                                                                           */
/*  JRS MPEG-7 Library is free software: you can redistribute it and/or      */
/*  modify it under the terms of the GNU Lesser General Public License       */
/*  (LGPL) as published by the Free Software Foundation, either version 3    */
/*  of the License, or (at your option) any later version.                   */
/*                                                                           */
/*  JRS MPEG-7 Library is distributed in the hope that it will be useful,    */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of           */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the             */
/*  GNU Lesser General Public License for more details.                      */
/*                                                                           */
/*  You should have received a copy of the GNU Lesser General Public License */
/*  along with this library. If not, see <http://www.gnu.org/licenses/>.     */
/*****************************************************************************/


// DeInitialize section of Mp7JrsFactory.h
// To remove a bunch of registered factories from the list.
{
	// Keep Unknown Factory

  Mp7JrsFactory::UnregisterFactory("http://www.w3.org/2001/XMLSchema:IDREFS");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AbstractionLevelType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AdvancedFaceRecognitionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AdvancedFaceRecognitionType_CentralFourierFeature_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AdvancedFaceRecognitionType_CentralFourierFeature_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AdvancedFaceRecognitionType_CompositeFeature_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AdvancedFaceRecognitionType_CompositeFeature_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AdvancedFaceRecognitionType_FourierFeature_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AdvancedFaceRecognitionType_FourierFeature_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AdvancedFaceRecognitionType_SubregionCompositeFeature_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AdvancedFaceRecognitionType_SubregionCompositeFeature_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AffectiveType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AffectiveType_Score_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AffectiveType_Score_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AgentObjectType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AgentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AgentType_Icon_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AnalyticClipType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AnalyticEditedVideoSegmentSpatioTemporalDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AnalyticEditedVideoSegmentSpatioTemporalDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AnalyticEditedVideoSegmentSpatioTemporalDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AnalyticEditedVideoSegmentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AnalyticEditedVideoSegmentType_AnalyticEditionAreaDecomposition_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AnalyticEditedVideoType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AnalyticModelType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AnalyticModelType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AnalyticModelType_Label_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AnalyticModelType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AnalyticModelType_Semantics_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AnalyticTransitionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioBPMType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioDSType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioDType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioFundamentalFrequencyType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioHarmonicityType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioLLDScalarType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioLLDScalarType_SeriesOfScalar_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioLLDScalarType_SeriesOfScalar_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioLLDVectorType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioLLDVectorType_SeriesOfVector_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioLLDVectorType_SeriesOfVector_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioPowerType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSegmentMediaSourceDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSegmentMediaSourceDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSegmentMediaSourceDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSegmentTemporalDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSegmentTemporalDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSegmentTemporalDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSegmentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSegmentType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSegmentType_CollectionType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSegmentType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSegmentType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSignalQualityType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSignalQualityType_ErrorEventList_ErrorEvent_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSignalQualityType_ErrorEventList_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSignatureType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSpectrumBasisType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSpectrumCentroidType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSpectrumEnvelopeType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSpectrumFlatnessType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSpectrumProjectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSpectrumSpreadType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSummaryComponentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioSummaryComponentType_Title_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioTempoType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualRegionMediaSourceDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualRegionMediaSourceDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualRegionMediaSourceDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualRegionSpatialDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualRegionSpatialDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualRegionSpatialDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualRegionSpatioTemporalDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualRegionSpatioTemporalDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualRegionSpatioTemporalDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualRegionTemporalDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualRegionTemporalDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualRegionTemporalDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualRegionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualRegionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualRegionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualSegmentMediaSourceDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualSegmentMediaSourceDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualSegmentMediaSourceDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualSegmentSpatialDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualSegmentSpatialDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualSegmentSpatialDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualSegmentSpatioTemporalDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualSegmentSpatioTemporalDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualSegmentSpatioTemporalDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualSegmentTemporalDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualSegmentTemporalDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualSegmentTemporalDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualSegmentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualSegmentType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualSegmentType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioVisualType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AudioWaveformType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:auxiliaryLanguageType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:auxiliaryLanguageType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:auxiliaryLanguageType_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AvailabilityType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AvailabilityType_AvailabilityPeriod_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AvailabilityType_AvailabilityPeriod_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AvailabilityType_AvailabilityPeriod_type_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AvailabilityType_AvailabilityPeriod_type_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AvailabilityType_AvailabilityPeriod_type_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:AvailabilityType_AvailabilityPeriod_type_LocalType2");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:BackgroundNoiseLevelType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:BalanceType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:BandwidthType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:basicDurationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:basicTimePointType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:beatType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:BinomialDistributionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:BoxListType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:BrowsingPreferencesType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:BrowsingPreferencesType_PreferenceCondition_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:BrowsingPreferencesType_PreferenceCondition_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:BrowsingPreferencesType_SummaryPreferences_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CameraMotionSegmentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CameraMotionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CameraMotionType_Segment_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:characterSetCode");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationModelType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationPreferencesType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationPreferencesType_CaptionLanguage_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationPreferencesType_CaptionLanguage_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationPreferencesType_Country_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationPreferencesType_Country_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationPreferencesType_DatePeriod_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationPreferencesType_DatePeriod_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationPreferencesType_Form_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationPreferencesType_Form_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationPreferencesType_Genre_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationPreferencesType_Genre_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationPreferencesType_Language_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationPreferencesType_Language_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationPreferencesType_LanguageFormat_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationPreferencesType_LanguageFormat_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationPreferencesType_ParentalGuidance_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationPreferencesType_ParentalGuidance_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationPreferencesType_Review_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationPreferencesType_Review_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationPreferencesType_Subject_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationPreferencesType_Subject_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationSchemeAliasType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationSchemeBaseType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationSchemeBaseType_domain_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationSchemeBaseType_Import_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationSchemeDescriptionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationSchemeDescriptionType_ClassificationScheme_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationSchemeDescriptionType_ClassificationSchemeBase_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationSchemeType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationSchemeType_Term_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationType_CaptionLanguage_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationType_CaptionLanguage_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationType_Genre_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationType_Genre_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationType_Language_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationType_MediaReview_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationType_ParentalGuidance_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationType_Purpose_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationType_Release_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationType_Release_Region_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationType_SignLanguage_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationType_SignLanguage_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationType_Target_Age_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationType_Target_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationType_Target_Market_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClassificationType_Target_Region_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClusterClassificationModelType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClusterClassificationModelType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClusterClassificationModelType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClusterModelType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClusterModelType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClusterModelType_CollectionType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClusterModelType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ClusterModelType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CollectionModelType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CollectionModelType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CollectionModelType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CollectionType_TextAnnotation_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CbACCoeff14_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CbACCoeff14_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CbACCoeff2_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CbACCoeff2_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CbACCoeff20_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CbACCoeff20_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CbACCoeff27_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CbACCoeff27_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CbACCoeff5_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CbACCoeff5_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CbACCoeff63_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CbACCoeff63_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CbACCoeff9_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CbACCoeff9_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CrACCoeff14_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CrACCoeff14_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CrACCoeff2_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CrACCoeff2_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CrACCoeff20_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CrACCoeff20_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CrACCoeff27_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CrACCoeff27_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CrACCoeff5_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CrACCoeff5_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CrACCoeff63_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CrACCoeff63_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CrACCoeff9_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_CrACCoeff9_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_YACCoeff14_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_YACCoeff14_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_YACCoeff2_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_YACCoeff2_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_YACCoeff20_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_YACCoeff20_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_YACCoeff27_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_YACCoeff27_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_YACCoeff5_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_YACCoeff5_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_YACCoeff63_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_YACCoeff63_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_YACCoeff9_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorLayoutType_YACCoeff9_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorQuantizationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorQuantizationType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorQuantizationType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorSamplingType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorSamplingType_Field_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorSamplingType_Field_Component_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorSamplingType_Field_Component_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorSamplingType_Field_Component_Offset_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorSamplingType_Field_Component_Period_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorSamplingType_Field_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorSamplingType_Lattice_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorSpaceType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorSpaceType_ColorTransMat_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorSpaceType_ColorTransMat_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorStructureType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorStructureType_Values_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorStructureType_Values_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ColorTemperatureType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CompleteDescriptionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CompleteDescriptionType_OrderingKey_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CompleteDescriptionType_Relationships_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CompositionShotEditingTemporalDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CompositionShotEditingTemporalDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CompositionShotEditingTemporalDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CompositionShotType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CompositionShotType_AnalyticEditingTemporalDecomposition_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CompositionTransitionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CompositionTransitionType_compositionType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CompositionTransitionType_compositionType_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CompositionTransitionType_compositionType_LocalType2");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ConceptCollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ConceptCollectionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ConceptCollectionType_CollectionType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ConceptCollectionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ConceptCollectionType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ConceptType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ConfusionCountType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ContentAbstractionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ContentCollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ContentCollectionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ContentCollectionType_CollectionType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ContentCollectionType_CollectionType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ContentCollectionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ContentCollectionType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ContentCollectionType_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ContentDescriptionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ContentDescriptionType_Affective_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ContentEntityType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ContentEntityType_MultimediaContent_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ContentManagementType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ContinuousDistributionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ContinuousHiddenMarkovModelType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ContinuousHiddenMarkovModelType_DescriptorModel_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ContinuousHiddenMarkovModelType_ObservationDistribution_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ContinuousUniformDistributionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ContourShapeType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ContourShapeType_Peak_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ContourShapeType_Peak_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:contourType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:contourType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ControlledTermUseType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:countryCode");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationDescriptionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationDescriptionType_CreationInformation_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationInformationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationInformationType_RelatedMaterial_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationPreferencesType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationPreferencesType_Creator_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationPreferencesType_Creator_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationPreferencesType_DatePeriod_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationPreferencesType_DatePeriod_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationPreferencesType_Keyword_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationPreferencesType_Keyword_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationPreferencesType_Location_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationPreferencesType_Location_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationPreferencesType_Title_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationPreferencesType_Title_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationPreferencesType_Tool_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationPreferencesType_Tool_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationToolType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationToolType_Setting_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationToolType_Setting_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationType_Abstract_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationType_CopyrightString_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationType_CreationCoordinates_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationType_CreationCoordinates_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationType_CreationTool_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationType_Creator_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreationType_Title_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreatorType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreatorType_Character_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CreatorType_Instrument_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:CrossChannelCorrelationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:currencyCode");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:curvatureType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:curvatureType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DcOffsetType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:dependencyOperatorType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DependencyStructurePhraseType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DependencyStructurePhraseType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DependencyStructurePhraseType_CollectionType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DependencyStructurePhraseType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DependencyStructurePhraseType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DependencyStructurePhraseType_operator_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DependencyStructureType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DependencyStructureType_Sentence_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DescriptionMetadataType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DescriptionMetadataType_Creator_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DescriptionMetadataType_Instrument_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DescriptionMetadataType_PrivateIdentifier_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DescriptionMetadataType_PublicIdentifier_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DescriptorCollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DescriptorCollectionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DescriptorCollectionType_Descriptor_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DescriptorCollectionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DescriptorModelType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DescriptorModelType_Field_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:dim_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DiscreteDistributionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DiscreteHiddenMarkovModelType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DiscreteHiddenMarkovModelType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DiscreteHiddenMarkovModelType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DiscreteHiddenMarkovModelType_Observation_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DiscreteUniformDistributionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DisseminationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DominantColorType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DominantColorType_Value_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DominantColorType_Value_ColorVariance_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DominantColorType_Value_ColorVariance_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DominantColorType_Value_Index_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DominantColorType_Value_Index_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DominantColorType_Value_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DoubleDiagonalMatrixType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DoubleMatrixType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DoublePullbackDefinitionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DoublePullbackDefinitionType_MorphismGraph_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DoublePullbackDefinitionType_RuleGraph_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DoublePushoutDefinitionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DoublePushoutDefinitionType_MorphismGraph_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:doubleVector");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DSType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DSType_Header_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:DType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:durationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:EdgeHistogramType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:EdgeHistogramType_BinCounts_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:EdgeHistogramType_BinCounts_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:EditedMovingRegionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:EditedVideoEditingTemporalDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:EditedVideoEditingTemporalDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:EditedVideoEditingTemporalDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:EditedVideoType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:EditedVideoType_AnalyticEditingTemporalDecomposition_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ElectronicAddressType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ElectronicAddressType_Email_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ElectronicAddressType_Fax_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ElectronicAddressType_Telephone_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ElectronicAddressType_Url_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ErrorEventType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:EventType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:EventType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:EventType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:EventType_SemanticPlace_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:EventType_SemanticTime_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ExponentialDistributionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ExtendedLanguageType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ExtentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FaceRecognitionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FaceRecognitionType_Feature_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FaceRecognitionType_Feature_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FigureTrajectoryType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FigureTrajectoryType_Vertex_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Filter1DType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Filter2DType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FilteringAndSearchPreferencesType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FilteringAndSearchPreferencesType_ClassificationPreferences_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FilteringAndSearchPreferencesType_CreationPreferences_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FilteringAndSearchPreferencesType_FilteringAndSearchPreferences_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FilteringAndSearchPreferencesType_PreferenceCondition_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FilteringAndSearchPreferencesType_SourcePreferences_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FilteringType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FilterSeparableType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FilterSeparableType_Filter1D_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FilterType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FinancialType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FinancialType_AccountItem_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FinancialType_AccountItem_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FiniteStateModelType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FloatDiagonalMatrixType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FloatMatrixType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:floatVector");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FocusOfExpansionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FractionalPresenceType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FrequencyTreeType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FrequencyTreeType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FrequencyTreeType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:FrequencyViewType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GammaDistributionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GaussianDistributionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GaussianMixtureModelType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GaussianMixtureModelType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GaussianMixtureModelType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GeneralizedGaussianDistributionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GeneralRelationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GeographicPointType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GeographicPointType_latitude_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GeographicPointType_longitude_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GeometricDistributionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GlobalTransitionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GoFGoPColorType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GopGofFeature");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GraphicalClassificationSchemeType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GraphicalClassificationSchemeType_GraphicalTerm_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GraphicalRuleDefinitionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GraphicalTermDefinitionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GraphType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GraphType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GraphType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GraphType_Node_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GridLayoutType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GridLayoutType_Descriptor_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:GridLayoutType_descriptorMask_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:HandWritingRecogInformationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:HandWritingRecogInformationType_InkLexicon_Entry_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:HandWritingRecogInformationType_InkLexicon_Entry_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:HandWritingRecogInformationType_InkLexicon_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:HandWritingRecogInformationType_Recognizer_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:HandWritingRecogResultType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:HandWritingRecogResultType_Result_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:HandWritingRecogResultType_Result_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:HarmonicInstrumentTimbreType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:HarmonicSpectralCentroidType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:HarmonicSpectralDeviationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:HarmonicSpectralSpreadType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:HarmonicSpectralVariationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:HeaderType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:HierarchicalSummaryType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:HierarchicalSummaryType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:HierarchicalSummaryType_components_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:HierarchicalSummaryType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:HistogramProbabilityType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:HomogeneousTextureType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:HyperGeometricDistributionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:IlluminationInvariantColorType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ImageLocatorType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ImageLocatorType_BytePosition_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ImageTextType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ImageTextType_textType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ImageTextType_textType_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ImageTextType_textType_LocalType2");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ImageType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:IncrDurationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkContentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkMediaInformationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkMediaInformationType_Brush_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkMediaInformationType_Brush_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkMediaInformationType_InputDevice_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkMediaInformationType_OverlaidMedia_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkMediaInformationType_OverlaidMedia_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkMediaInformationType_Param_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkMediaInformationType_Param_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkMediaInformationType_Style_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkMediaInformationType_Style_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkMediaInformationType_Style_LocalType2");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkMediaInformationType_WritingFieldLayout_fieldIDList_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkMediaInformationType_WritingFieldLayout_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkSegmentSpatialDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkSegmentSpatialDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkSegmentSpatialDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkSegmentTemporalDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkSegmentTemporalDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkSegmentTemporalDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkSegmentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkSegmentType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkSegmentType_CollectionType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkSegmentType_CollectionType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkSegmentType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkSegmentType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InkSegmentType_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InlineMediaType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InlineTermDefinitionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InlineTermDefinitionType_Definition_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InlineTermDefinitionType_Name_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InlineTermDefinitionType_Name_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InlineTermDefinitionType_Term_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InlineTermDefinitionType_Term_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InstrumentTimbreType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:IntegerDiagonalMatrixType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:IntegerMatrixType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:integerVector");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:InternalTransitionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:IntraCompositionShotEditingTemporalDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:IntraCompositionShotEditingTemporalDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:IntraCompositionShotEditingTemporalDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:IntraCompositionShotType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:IntraCompositionShotType_AnalyticEditingTemporalDecomposition_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:IrregularVisualTimeSeriesType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:IrregularVisualTimeSeriesType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:IrregularVisualTimeSeriesType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:KeyType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:KeyType_KeyNote_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:KeywordAnnotationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:KeywordAnnotationType_Keyword_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:KeywordAnnotationType_Keyword_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:LexiconType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:LinguisticDocumentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:LinguisticDocumentType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:LinguisticDocumentType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:LinguisticEntityType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:LinguisticEntityType_edit_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:LinguisticEntityType_length_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:LinguisticEntityType_MediaLocator_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:LinguisticEntityType_Relation_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:LinguisticEntityType_start_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:LinguisticType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:listOfPositiveIntegerForDim");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:LogAttackTimeType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:LognormalDistributionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MaskType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MatchingHintType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MatchingHintType_Hint_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MatchingHintType_Hint_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaAgentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaDescriptionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaDescriptionType_MediaInformation_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:mediaDurationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaFormatType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaFormatType_AudioCoding_AudioChannels_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaFormatType_AudioCoding_Emphasis_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaFormatType_AudioCoding_Emphasis_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaFormatType_AudioCoding_Emphasis_LocalType2");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaFormatType_AudioCoding_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaFormatType_AudioCoding_Sample_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaFormatType_BitRate_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaFormatType_ScalableCoding_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaFormatType_ScalableCoding_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaFormatType_ScalableCoding_LocalType2");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaFormatType_VisualCoding_Format_colorDomain_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaFormatType_VisualCoding_Format_colorDomain_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaFormatType_VisualCoding_Format_colorDomain_LocalType2");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaFormatType_VisualCoding_Format_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaFormatType_VisualCoding_Frame_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaFormatType_VisualCoding_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaFormatType_VisualCoding_Pixel_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaIdentificationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaIdentificationType_AudioDomain_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaIdentificationType_ImageDomain_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaIdentificationType_VideoDomain_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaIncrDurationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaInformationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaInformationType_MediaProfile_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaInstanceType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaLocatorType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaProfileType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaProfileType_ComponentMediaProfile_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaProfileType_MediaInstance_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaQualityType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaQualityType_PerceptibleDefects_AudioDefects_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaQualityType_PerceptibleDefects_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaQualityType_PerceptibleDefects_VisualDefects_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaQualityType_QualityRating_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaQualityType_QualityRating_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaQualityType_RatingInformationLocator_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaRelIncrTimePointType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaRelTimePointType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaReviewType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaReviewType_FreeTextReview_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaSourceSegmentDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaSpaceMaskType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaSpaceMaskType_SubInterval_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaSpaceMaskType_SubInterval_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:mediaTimeOffsetType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:mediaTimePointType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaTimeType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaTranscodingHintsType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaTranscodingHintsType_CodingHints_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaTranscodingHintsType_MotionHint_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaTranscodingHintsType_MotionHint_MotionRange_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MediaTranscodingHintsType_ShapeHint_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MelodyContourType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MelodySequenceType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MelodySequenceType_NoteArray_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MelodySequenceType_NoteArray_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MelodySequenceType_NoteArray_Note_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MelodySequenceType_NoteArray_Note_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MelodySequenceType_StartingNote_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MelodySequenceType_StartingNote_StartingPitch_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MelodySequenceType_StartingNote_StartingPitch_PitchNote_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MelodyType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MelodyType_MelodySequence_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MeterType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MeterType_Numerator_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:mimeType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MinusOneToOneMatrixType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:minusOneToOneType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:minusOneToOneVector");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:minusOneToOneVector_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MixedCollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MixedCollectionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MixedCollectionType_CollectionType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MixedCollectionType_CollectionType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MixedCollectionType_CollectionType2");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MixedCollectionType_Descriptor_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MixedCollectionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MixedCollectionType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MixedCollectionType_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MixedCollectionType_LocalType2");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MixtureAmountOfMotionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MixtureCameraMotionSegmentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ModelDescriptionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ModelDescriptionType_Model_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ModelStateType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ModelType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MorphismGraphType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MosaicType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MosaicType_WarpingParam_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MosaicType_WarpingParam_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MosaicType_WarpingParam_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MosaicType_WarpingParam_modelType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MosaicType_WarpingParam_modelType_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MosaicType_WarpingParam_modelType_LocalType2");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MotionActivityType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MotionActivityType_Intensity_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MotionActivityType_SpatialDistributionParams_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MotionActivityType_SpatialLocalizationParams_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MotionActivityType_SpatialLocalizationParams_Vector16_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MotionActivityType_SpatialLocalizationParams_Vector16_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MotionActivityType_SpatialLocalizationParams_Vector256_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MotionActivityType_SpatialLocalizationParams_Vector256_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MotionActivityType_SpatialLocalizationParams_Vector4_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MotionActivityType_SpatialLocalizationParams_Vector4_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MotionActivityType_SpatialLocalizationParams_Vector64_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MotionActivityType_SpatialLocalizationParams_Vector64_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MotionActivityType_TemporalParams_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MotionActivityType_TemporalParams_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MotionTrajectoryType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MotionTrajectoryType_CoordDef_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MotionTrajectoryType_CoordDef_Repr_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MotionTrajectoryType_CoordRef_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MovingRegionFeatureType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MovingRegionMediaSourceDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MovingRegionMediaSourceDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MovingRegionMediaSourceDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MovingRegionSpatialDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MovingRegionSpatialDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MovingRegionSpatialDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MovingRegionSpatioTemporalDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MovingRegionSpatioTemporalDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MovingRegionSpatioTemporalDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MovingRegionTemporalDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MovingRegionTemporalDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MovingRegionTemporalDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MovingRegionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MovingRegionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MovingRegionType_CollectionType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MovingRegionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MovingRegionType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Mpeg7_Description_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Mpeg7_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Mpeg7BaseType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Mpeg7Type");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MultimediaCollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MultimediaCollectionType_Collection_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MultimediaCollectionType_StructuredCollection_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MultimediaContentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MultimediaSegmentMediaSourceDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MultimediaSegmentMediaSourceDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MultimediaSegmentMediaSourceDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MultimediaSegmentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MultimediaSegmentType_MediaSourceDecomposition_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MultimediaType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MultipleViewType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MultipleViewType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MultipleViewType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:MultiResolutionPyramidType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:NameComponentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:NonDependencyStructurePhraseType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:NonDependencyStructurePhraseType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:NonDependencyStructurePhraseType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:NonMixtureAmountOfMotionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:NonMixtureAmountOfMotionType_Fixed_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:NonMixtureCameraMotionSegmentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:nonNegativeReal");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ObjectType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ObjectType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ObjectType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:OrderedGroupDataSetMaskType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:OrderedGroupDataSetMaskType_SubInterval_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:OrderedGroupDataSetMaskType_SubInterval_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:OrderingKeyType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:OrderingKeyType_Field_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:OrderingKeyType_Field_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:OrderingKeyType_Selector_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:OrganizationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:OrganizationType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:OrganizationType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:OrganizationType_Name_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:OrganizationType_Name_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:OrganizationType_NameTerm_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:OrganizationType_NameTerm_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PackageType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PackageType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PackageType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PackageType_Scheme_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:paddingType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:paddingType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:paddingType_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ParameterTrajectoryType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ParametricMotionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ParametricMotionType_CoordDef_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ParametricMotionType_CoordRef_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ParametricMotionType_Parameters_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ParentalGuidanceType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ParentalGuidanceType_Region_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PartitionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PartitionType_dim_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PercussiveInstrumentTimbreType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PersonGroupType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PersonGroupType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PersonGroupType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PersonGroupType_Name_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PersonGroupType_Name_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PersonGroupType_NameTerm_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PersonGroupType_NameTerm_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PersonNameType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PersonNameType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PersonNameType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PersonType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PersonType_Affiliation_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PersonType_Affiliation_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PersonType_Citizenship_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PersonType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PersonType_ElectronicAddress_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PersonType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PhoneLexiconIndexType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PhoneLexiconType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PhoneLexiconType_Token_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PhoneticTranscriptionLexiconType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PhoneticTranscriptionLexiconType_Token_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PhoneticTranscriptionLexiconType_Token_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PhoneticTranscriptionLexiconType_Token_phoneticTranscription_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PhoneType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PlaceType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PlaceType_AdministrativeUnit_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PlaceType_AdministrativeUnit_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PlaceType_AstronomicalBody_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PlaceType_GeographicPosition_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PlaceType_Name_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PlaceType_NameTerm_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PlaceType_PostalAddress_AddressLine_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PlaceType_PostalAddress_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PlaceType_Region_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PointOfViewType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PointOfViewType_Importance_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PointOfViewType_Importance_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PoissonDistributionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PreferenceConditionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PreferenceConditionType_Time_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PreferenceConditionType_Time_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PreferenceConditionType_Time_recurrence_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PreferenceConditionType_Time_recurrence_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PreferenceConditionType_Time_recurrence_LocalType2");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:preferenceValueType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ProbabilityClassificationModelType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ProbabilityClassificationModelType_ProbabilityModelClass_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ProbabilityDistributionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ProbabilityDistributionType_Cumulant_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ProbabilityDistributionType_Cumulant_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ProbabilityDistributionType_Cumulant_Value_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ProbabilityDistributionType_Moment_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ProbabilityDistributionType_Moment_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ProbabilityDistributionType_Moment_Value_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ProbabilityMatrixType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ProbabilityModelClassType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ProbabilityModelClassType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ProbabilityModelClassType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ProbabilityModelType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:probabilityVector");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:probabilityVector_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PullbackDefinitionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:PushoutDefinitionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:RatingType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:RatingType_RatingScheme_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ReferenceType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:regionCode");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:RegionLocatorType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:RegionLocatorType_Box_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:RegionLocatorType_Box_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:RegionLocatorType_CoordRef_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:RegionLocatorType_Polygon_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:RegionLocatorType_Polygon_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:RegionShapeType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:RegionShapeType_MagnitudeOfART_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:RegionShapeType_MagnitudeOfART_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:RegularVisualTimeSeriesType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:RegularVisualTimeSeriesType_Descriptor_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:RelatedMaterialType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:RelationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:RelationType_source_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:RelationType_target_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:RelativeDelayType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:RelIncrTimePointType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:RelTimePointType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ResolutionViewType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:RightsType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:RightsType_RightsID_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ScalableColorType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ScalableSeriesType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ScalableSeriesType_Scaling_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ScalableSeriesType_Scaling_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:scaleType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SceneGraphMaskType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SceneGraphMaskType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SceneGraphMaskType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SegmentCollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SegmentCollectionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SegmentCollectionType_CollectionType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SegmentCollectionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SegmentCollectionType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SegmentDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SegmentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SegmentType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SegmentType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SegmentType_MatchingHint_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SegmentType_PointOfView_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SegmentType_Relation_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SegmentType_TextAnnotation_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SegmentType_TextAnnotation_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SegmentType_TextAnnotation_type_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SegmentType_TextAnnotation_type_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SegmentType_TextAnnotation_type_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SegmentType_TextAnnotation_type_LocalType2");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticBagType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticBagType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticBagType_Graph_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticBagType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticBaseType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticBaseType_Label_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticBaseType_MediaOccurrence_AudioDescriptionScheme_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticBaseType_MediaOccurrence_AudioDescriptor_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticBaseType_MediaOccurrence_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticBaseType_MediaOccurrence_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticBaseType_MediaOccurrence_type_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticBaseType_MediaOccurrence_type_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticBaseType_MediaOccurrence_type_LocalType2");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticBaseType_MediaOccurrence_VisualDescriptionScheme_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticBaseType_MediaOccurrence_VisualDescriptor_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticBaseType_Property_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticBaseType_Relation_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticDescriptionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticDescriptionType_ConceptCollection_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticDescriptionType_Semantics_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticPlaceType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticPlaceType_SemanticPlaceInterval_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticPlaceType_SemanticPlaceInterval_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticStateType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticStateType_AttributeValuePair_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticStateType_AttributeValuePair_CollectionType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticStateType_AttributeValuePair_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticStateType_AttributeValuePair_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticTimeType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticTimeType_SemanticTimeInterval_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticTimeType_SemanticTimeInterval_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SemanticType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SentencesType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SentencesType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SentencesType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SequentialSummaryType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SequentialSummaryType_AudioSummaryComponent_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SequentialSummaryType_components_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SequentialSummaryType_TextualSummaryComponent_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SequentialSummaryType_VisualSummaryComponent_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SeriesOfScalarBinaryType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SeriesOfScalarType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SeriesOfVectorBinaryType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SeriesOfVectorType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Shape3DType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Shape3DType_Spectrum_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Shape3DType_Spectrum_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ShapeVariationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ShapeVariationType_DynamicShapeVariation_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ShapeVariationType_DynamicShapeVariation_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ShapeVariationType_StaticShapeVariation_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ShapeVariationType_StaticShapeVariation_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ShapeVariationType_StatisticalVariation_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ShapeVariationType_StatisticalVariation_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ShotEditingTemporalDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ShotEditingTemporalDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ShotEditingTemporalDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ShotType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ShotType_AnalyticEditingTemporalDecomposition_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SignalPlaneFractionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SignalPlaneOriginType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SignalPlaneSampleType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SignalPlaneType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SignalPlaneType_dim_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SignalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SilenceHeaderType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SilenceType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SoundClassificationModelType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SoundClassificationModelType_SoundModel_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SoundModelStateHistogramType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SoundModelStateHistogramType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SoundModelStateHistogramType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SoundModelStatePathType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SoundModelType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SourcePreferencesType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SourcePreferencesType_DisseminationDate_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SourcePreferencesType_DisseminationDate_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SourcePreferencesType_DisseminationFormat_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SourcePreferencesType_DisseminationFormat_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SourcePreferencesType_DisseminationLocation_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SourcePreferencesType_DisseminationLocation_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SourcePreferencesType_DisseminationSource_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SourcePreferencesType_DisseminationSource_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SourcePreferencesType_Disseminator_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SourcePreferencesType_Disseminator_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SourcePreferencesType_MediaFormat_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SourcePreferencesType_MediaFormat_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpaceFrequencyGraphType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpaceFrequencyGraphType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpaceFrequencyGraphType_CollectionType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpaceFrequencyGraphType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpaceFrequencyGraphType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpaceFrequencyViewType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpaceResolutionViewType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpaceTreeType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpaceTreeType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpaceTreeType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpaceViewType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Spatial2DCoordinateSystemType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Spatial2DCoordinateSystemType_IntegratedCoordinateSystem_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Spatial2DCoordinateSystemType_IntegratedCoordinateSystem_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Spatial2DCoordinateSystemType_IntegratedCoordinateSystem_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Spatial2DCoordinateSystemType_IntegratedCoordinateSystem_MotionParams_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Spatial2DCoordinateSystemType_LocalCoordinateSystem_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Spatial2DCoordinateSystemType_LocalCoordinateSystem_CollectionType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Spatial2DCoordinateSystemType_LocalCoordinateSystem_CoordPoint_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Spatial2DCoordinateSystemType_LocalCoordinateSystem_CurrPixel_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Spatial2DCoordinateSystemType_LocalCoordinateSystem_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Spatial2DCoordinateSystemType_LocalCoordinateSystem_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Spatial2DCoordinateSystemType_LocalCoordinateSystem_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Spatial2DCoordinateSystemType_LocalCoordinateSystem_MappingFunct_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Spatial2DCoordinateSystemType_LocalCoordinateSystem_Pixel_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:Spatial2DCoordinateSystemType_LocalCoordinateSystem_SrcPixel_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpatialMaskType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpatialMaskType_SubRegion_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpatialSegmentDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpatioTemporalLocatorType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpatioTemporalLocatorType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpatioTemporalLocatorType_CoordRef_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpatioTemporalLocatorType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpatioTemporalMaskType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpatioTemporalMaskType_SubRegion_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpatioTemporalSegmentDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpeakerInfoType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpeakerInfoType_PhoneIndex_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpeakerInfoType_PhoneIndex_PhoneIndexEntry_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpeakerInfoType_PhoneIndex_PhoneIndexEntry_IndexEntry_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpeakerInfoType_PhoneIndex_PhoneIndexEntry_key_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpeakerInfoType_PhoneIndex_PhoneIndexEntry_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpeakerInfoType_WordIndex_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpeakerInfoType_WordIndex_WordIndexEntry_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpeakerInfoType_WordIndex_WordIndexEntry_IndexEntry_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpeakerInfoType_WordIndex_WordIndexEntry_key_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpeakerInfoType_WordIndex_WordIndexEntry_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpectralCentroidType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpokenContentHeaderType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpokenContentHeaderType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpokenContentHeaderType_ConfusionInfo_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpokenContentHeaderType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpokenContentHeaderType_SpeakerInfo_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpokenContentIndexEntryType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpokenContentLatticeType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpokenContentLatticeType_Block_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpokenContentLatticeType_Block_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpokenContentLatticeType_Block_Node_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpokenContentLatticeType_Block_Node_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpokenContentLatticeType_Block_Node_PhoneLink_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpokenContentLatticeType_Block_Node_PhoneLink_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpokenContentLatticeType_Block_Node_WordLink_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpokenContentLatticeType_Block_Node_WordLink_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SpokenContentLinkType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StateTransitionModelType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StateTransitionModelType_State_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StillRegion3DSpatialDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StillRegion3DSpatialDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StillRegion3DSpatialDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StillRegion3DType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StillRegion3DType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StillRegion3DType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StillRegion3DType_SpatialDecomposition_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StillRegionFeatureType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StillRegionSpatialDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StillRegionSpatialDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StillRegionSpatialDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StillRegionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StillRegionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StillRegionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StillRegionType_SpatialDecomposition_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StreamLocatorType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StreamMaskType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StreamMaskType_StreamSection_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StreamSectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StructuredAnnotationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StructuredAnnotationType_How_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StructuredAnnotationType_WhatAction_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StructuredAnnotationType_WhatObject_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StructuredAnnotationType_When_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StructuredAnnotationType_Where_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StructuredAnnotationType_Who_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StructuredAnnotationType_Why_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StructuredCollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StructuredCollectionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StructuredCollectionType_CollectionType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StructuredCollectionType_CollectionType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StructuredCollectionType_CollectionType2");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StructuredCollectionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StructuredCollectionType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StructuredCollectionType_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StructuredCollectionType_LocalType2");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:StructuredCollectionType_Relationships_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SubjectClassificationSchemeType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SubjectClassificationSchemeType_Term_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SubjectTermDefinitionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SubjectTermDefinitionType_Classification_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SubjectTermDefinitionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SubjectTermDefinitionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SubjectTermDefinitionType_Note_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SubjectTermDefinitionType_Note_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SubjectTermDefinitionType_Subdivision_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SubjectTermDefinitionType_Term_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SubjectTermDefinitionType_Term_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummarizationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummarizationType_Summary_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:summaryComponentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:summaryComponentType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:summaryComponentType_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummaryDescriptionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummaryDescriptionType_Summarization_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummaryPreferencesType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummaryPreferencesType_SummaryTheme_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummaryPreferencesType_SummaryTheme_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummaryPreferencesType_SummaryType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummaryPreferencesType_SummaryType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummarySegmentGroupType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummarySegmentGroupType_Caption_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummarySegmentGroupType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummarySegmentGroupType_CollectionType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummarySegmentGroupType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummarySegmentGroupType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummarySegmentGroupType_Name_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummarySegmentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummarySegmentType_KeyFrame_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummarySegmentType_KeySound_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummarySegmentType_Name_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummaryThemeListType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummaryThemeListType_SummaryTheme_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummaryThemeListType_SummaryTheme_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummaryType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SummaryType_Name_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SyntacticConstituentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SyntacticConstituentType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:SyntacticConstituentType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TemporalCentroidType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TemporalInterpolationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TemporalInterpolationType_InterpolationFunctions_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TemporalInterpolationType_InterpolationFunctions_KeyValue_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TemporalInterpolationType_InterpolationFunctions_KeyValue_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TemporalInterpolationType_InterpolationFunctions_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TemporalInterpolationType_KeyTimePoint_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TemporalInterpolationType_KeyTimePoint_MediaRelIncrTimePoint_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TemporalInterpolationType_KeyTimePoint_MediaRelTimePoint_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TemporalInterpolationType_KeyTimePoint_MediaTimePoint_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TemporalInterpolationType_WholeInterval_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TemporalMaskType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TemporalMaskType_SubInterval_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TemporalSegmentDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TemporalSegmentLocatorType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TemporalSegmentLocatorType_BytePosition_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TermDefinitionBaseType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TermDefinitionBaseType_Definition_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TermDefinitionBaseType_Name_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TermDefinitionBaseType_Name_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TermDefinitionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TermDefinitionType_Term_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TermDefinitionType_Term_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:termNoteQualifierType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:termNoteQualifierType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:termNoteQualifierType_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:termReferenceListType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:termReferenceType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:termReferenceType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:termReferenceType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:termRelationQualifierType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:termRelationQualifierType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:termRelationQualifierType_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TermUseType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TextAnnotationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TextAnnotationType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TextAnnotationType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TextDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TextDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TextDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TextSegmentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TextSegmentType_TextDecomposition_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TextType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TextualBaseType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TextualBaseType_phoneticTranscription_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TextualSummaryComponentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TextualSummaryComponentType_FreeText_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TextualType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TextureBrowsingType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TextureBrowsingType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TextureBrowsingType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:textureListType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:textureListType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:timeOffsetType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:timePointType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TimeType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TitleMediaType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TitleType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TitleType_type_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TitleType_type_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TitleType_type_LocalType2");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:TransmissionTechnologyType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UniqueIDType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned10");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned11");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned12");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned13");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned14");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned15");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned16");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned17");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned18");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned19");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned2");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned20");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned21");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned22");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned23");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned24");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned25");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned26");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned27");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned28");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned29");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned3");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned30");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned31");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned32");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned4");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned5");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned6");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned7");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned8");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:unsigned9");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UsageDescriptionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UsageDescriptionType_UsageInformation_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UsageHistoryType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UsageHistoryType_UserActionHistory_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UsageInformationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UsageInformationType_Availability_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UsageInformationType_UsageRecord_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UsageRecordType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UserActionHistoryType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UserActionHistoryType_ObservationPeriod_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UserActionHistoryType_UserActionList_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UserActionListType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UserActionListType_UserAction_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UserActionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UserActionType_ActionDataItem_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UserActionType_ActionTime_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UserDescriptionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UserDescriptionType_UsageHistory_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UserDescriptionType_UserPreferences_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UserIdentifierType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UserPreferencesType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UserPreferencesType_BrowsingPreferences_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:UserPreferencesType_FilteringAndSearchPreferences_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VariationDescriptionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VariationDescriptionType_Variation_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VariationDescriptionType_VariationSet_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VariationSetType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VariationSetType_Variation_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VariationType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VariationType_VariationRelationship_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VariationType_VariationRelationship_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VariationType_VariationRelationship_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VariationType_VariationRelationship_LocalType2");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoSegmentFeatureType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoSegmentFeatureType_RepresentativeFeature_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoSegmentFeatureType_TemporalTransition_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoSegmentMediaSourceDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoSegmentMediaSourceDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoSegmentMediaSourceDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoSegmentSpatialDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoSegmentSpatialDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoSegmentSpatialDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoSegmentSpatioTemporalDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoSegmentSpatioTemporalDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoSegmentSpatioTemporalDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoSegmentTemporalDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoSegmentTemporalDecompositionType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoSegmentTemporalDecompositionType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoSegmentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoSegmentType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoSegmentType_CollectionType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoSegmentType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoSegmentType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoSegmentType_Mosaic_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoTextType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoTextType_textType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoTextType_textType_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoTextType_textType_LocalType2");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoViewGraphType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoViewGraphType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoViewGraphType_CollectionType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoViewGraphType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VideoViewGraphType_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ViewDecompositionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ViewDescriptionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ViewDescriptionType_View_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ViewDescriptionType_ViewDecomposition_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ViewDescriptionType_ViewSet_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ViewSetType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ViewSetType_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ViewSetType_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ViewSetType_setProperty_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ViewSetType_setProperty_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ViewSetType_setProperty_LocalType2");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:ViewType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VisualDSType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VisualDType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VisualSummaryComponentType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:VisualTimeSeriesType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:WordFormType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:WordFormType_terms_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:WordFormType_type_CollectionType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:WordFormType_type_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:WordFormType_type_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:WordFormType_type_LocalType2");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:WordLexiconIndexType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:WordLexiconType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:WordLexiconType_Token_linguisticUnit_LocalType0");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:WordLexiconType_Token_linguisticUnit_LocalType1");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:WordLexiconType_Token_linguisticUnit_LocalType2");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:WordLexiconType_Token_LocalType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:WordType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:xPathAbsoluteSelectorType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:xPathFieldType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:xPathRefType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:xPathSelectorType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:xPathType");
  Mp7JrsFactory::UnregisterFactory("urn:mpeg:mpeg7:schema:2004:zeroToOneType");
}
