
// Based on EnumerationType_CPP.template

/*****************************************************************************/
/* Copyright (C) 2003-2012, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/*                                                                           */
/*  This file is part of the JRS MPEG-7 Library.                             */
/*  http://mpeg-7.joanneum.at                                                */
/*                                                                           */
/*  JRS MPEG-7 Library is free software: you can redistribute it and/or      */
/*  modify it under the terms of the GNU Lesser General Public License       */
/*  (LGPL) as published by the Free Software Foundation, either version 3    */
/*  of the License, or (at your option) any later version.                   */
/*                                                                           */
/*  JRS MPEG-7 Library is distributed in the hope that it will be useful,    */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of           */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the             */
/*  GNU Lesser General Public License for more details.                      */
/*                                                                           */
/*  You should have received a copy of the GNU Lesser General Public License */
/*  along with this library. If not, see <http://www.gnu.org/licenses/>.     */
/*****************************************************************************/



#include <stdio.h>
#include <xercesc/util/Janitor.hpp>

// no includefile for extension defined 
// file Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType_ExtImplInclude.h


#include "Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType.h"

// no includefile for extension defined 
// file Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType_ExtMethodImpl.h


const XMLCh * Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType::nsURI(){ return X("urn:mpeg:mpeg7:schema:2004");}

XMLCh * Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType::ToText(Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType::Enumeration item)
{
	XMLCh * result = NULL;
	switch(item)
	{
		case /*Enumeration::*/live:
			result = XERCES_CPP_NAMESPACE_QUALIFIER XMLString::transcode("live");
			break;
		case /*Enumeration::*/repeat:
			result = XERCES_CPP_NAMESPACE_QUALIFIER XMLString::transcode("repeat");
			break;
		case /*Enumeration::*/firstShowing:
			result = XERCES_CPP_NAMESPACE_QUALIFIER XMLString::transcode("firstShowing");
			break;
		case /*Enumeration::*/lastShowing:
			result = XERCES_CPP_NAMESPACE_QUALIFIER XMLString::transcode("lastShowing");
			break;
		case /*Enumeration::*/conditionalAccess:
			result = XERCES_CPP_NAMESPACE_QUALIFIER XMLString::transcode("conditionalAccess");
			break;
		case /*Enumeration::*/encrypted:
			result = XERCES_CPP_NAMESPACE_QUALIFIER XMLString::transcode("encrypted");
			break;
		case /*Enumeration::*/payPerUse:
			result = XERCES_CPP_NAMESPACE_QUALIFIER XMLString::transcode("payPerUse");
			break;
		default:; break;
	}	
	
	// Note: You must release this result after using it
	return result;
}

Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType::Enumeration Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType::Parse(const XMLCh * const txt)
{
	char * item = XERCES_CPP_NAMESPACE_QUALIFIER XMLString::transcode(txt);
	Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType::Enumeration result = Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType::/*Enumeration::*/UninitializedEnumeration;
	
	if(XERCES_CPP_NAMESPACE_QUALIFIER XMLString::compareString(item, "live") == 0)
	{
		result = Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType::/*Enumeration::*/live;
	}
	if(XERCES_CPP_NAMESPACE_QUALIFIER XMLString::compareString(item, "repeat") == 0)
	{
		result = Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType::/*Enumeration::*/repeat;
	}
	if(XERCES_CPP_NAMESPACE_QUALIFIER XMLString::compareString(item, "firstShowing") == 0)
	{
		result = Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType::/*Enumeration::*/firstShowing;
	}
	if(XERCES_CPP_NAMESPACE_QUALIFIER XMLString::compareString(item, "lastShowing") == 0)
	{
		result = Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType::/*Enumeration::*/lastShowing;
	}
	if(XERCES_CPP_NAMESPACE_QUALIFIER XMLString::compareString(item, "conditionalAccess") == 0)
	{
		result = Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType::/*Enumeration::*/conditionalAccess;
	}
	if(XERCES_CPP_NAMESPACE_QUALIFIER XMLString::compareString(item, "encrypted") == 0)
	{
		result = Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType::/*Enumeration::*/encrypted;
	}
	if(XERCES_CPP_NAMESPACE_QUALIFIER XMLString::compareString(item, "payPerUse") == 0)
	{
		result = Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType::/*Enumeration::*/payPerUse;
	}
	

	XERCES_CPP_NAMESPACE_QUALIFIER XMLString::release(&item);
	return result;
}
